# Fiber stopped

A decision block that checks if a child fiber has stopped, either manually or by an error.

If the proceed option is set to Immediately, then check if the child fiber has stopped without pausing this fiber. If set to When stopped, then this fiber will pause until the child fiber has stopped. A Fiber URI evaluating to `null` is considered stopped.

A Fiber URI is an output of the Fork and Flow start blocks.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Fiber URI — URI of the fiber to check if it has stopped.